//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TemplateFormats.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TemplateFormats"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN"&gt;
 *     &lt;enumeration value="hl7v3xml1"/&gt;
 *     &lt;enumeration value="hl7v2.5xml"/&gt;
 *     &lt;enumeration value="fhirxml"/&gt;
 *     &lt;enumeration value="vmrxml"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TemplateFormats")
@XmlEnum
public enum TemplateFormats {


    /**
     * Template format HL7 V3 XML ITS 1
     * 
     */
    @XmlEnumValue("hl7v3xml1")
    HL_7_V_3_XML_1("hl7v3xml1"),

    /**
     * Template format HL7 V2.5 XML ITS 1
     * 
     */
    @XmlEnumValue("hl7v2.5xml")
    HL_7_V_2_5_XML("hl7v2.5xml"),

    /**
     * Template format FHIR XML
     * 
     */
    @XmlEnumValue("fhirxml")
    FHIRXML("fhirxml"),

    /**
     * Template format vMR CDS XML
     * 
     */
    @XmlEnumValue("vmrxml")
    VMRXML("vmrxml");
    private final String value;

    TemplateFormats(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TemplateFormats fromValue(String v) {
        for (TemplateFormats c: TemplateFormats.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
